[data-component-id="incmty:horizontal_cards_main"] {
  padding: 48px 16px;
  background-color: var(--bg-color);

  .headings-container {
    text-align: center;

    .headings__title {
      color: var(--headings-color);
      font-size: 12px;
      font-style: normal;
      font-weight: 900;
      line-height: 18px;
      text-transform: uppercase;

      + * {
        margin-top: 16px;
      }
    }

    .headings__subtitle {
      color: var(--headings-color);
      font-size: 22px;
      font-style: normal;
      font-weight: 700;
      line-height: 28px;
    }

    .headings__description {
      p {
        color: var(--headings-color);
        font-size: 16px;
        font-style: normal;
        font-weight: 400;
        line-height: 22px;
      }

      * + * {
        margin-top: 8px;
      }
    }

    * + .headings__description {
      margin-top: 16px;
    }

    + * {
      margin-top: 24px;
    }
  }

  /*
   * Estilos cuando se muestran todos los elementos.
   */
  &.show-all {
    .cards {
      display: grid;
      gap: 24px;

      .horizontal-card {
        display: grid;

        @media (max-width: 1279px) {
          display: flex;
        }
      }
    }
  }

  /*
   * Estilos cuando el funcionalidad load more está activada.
   */
  &.load-more {
    .cards {
      display: grid;
      gap: 24px;
    }

    .load-more {
      text-align: center;

      button {
        background-color: var(--load-more-bg);
        color: var(--load-more-text-color);
        border-color: var(--load-more-bg);
        cursor: pointer;

        &:hover {
          background-color: var(--load-more-text-color);
          color: var(--load-more-bg);
          border-color: var(--load-more-bg);
        }
      }
    }

    * + .load-more {
      margin-top: 24px;
    }

    &.size-sm {
      .cards {
        .horizontal-card {
          display: none;

          &:nth-child(-n + 4) {
            display: grid;
          }
        }
      }
    }

    &.size-md {
      .cards {
        .horizontal-card {
          display: none;

          &:nth-child(-n + 2) {
            display: grid;
          }
        }
      }
    }

    &.size-lg {
      .cards {
        .horizontal-card {
          display: none;

          &:nth-child(-n + 3) {
            display: grid;
          }
        }
      }
    }
  }

  /*
   * Estilos cuando funcionalidad slider está activada.
   */
  &.is-slider {
    padding-left: 0;
    padding-right: 0;

    .headings-container {
      padding-left: 16px;
      padding-right: 16px;
    }

    .cards {
      .slick-track {
        display: flex;
      }

      .js-slick-cards-container {
        height: inherit;
        display: grid;
        padding-left: 16px;
        padding-right: 16px;
      }
    }

    .slick-list {
      z-index: 2;
    }

    .horizontal-cards-slide-controls {
      margin-top: 24px;
      display: flex;
      justify-content: center;
      gap: 24px;
      z-index: 1;

      .button-container {
        background-color: var(--slider-controls-bg);
        border: 1px solid var(--slider-controls-border-color);
        border-radius: 100%;

        .horizontal-card-control {
          width: 40px;
          height: 40px;
          background-color: var(--slider-controls-color);
          mask-position: center;
          mask-repeat: no-repeat;
          mask-size: 20px 20px;
          text-indent: -99999px;
          display: block;
          cursor: pointer;
          padding: 0;
          -webkit-appearance: none;
          position: relative;

          &.slick-control-prev {
            mask-image: url(/themes/custom/incmty/images/svg/chevron-left.svg);
          }

          &.slick-control-next {
            mask-image: url(/themes/custom/incmty/images/svg/chevron-right.svg);
          }
        }

        &:hover {
          opacity: 0.7;
        }
      }
    }
  }

  [data-component-id="incmty:horizontal_card"] {
    display: grid;
  }
}

@media screen and (min-width: 1280px) {
  [data-component-id="incmty:horizontal_cards_main"] {
    padding: 96px;

    .headings-container {
      .headings__subtitle {
        font-size: 32px;
        line-height: 38px;
      }

      + * {
        margin-top: 48px;
      }
    }

    /*
     * Estilos de tamaños de tarjetas.
     */
    &.size-sm {
      .cards {
        grid-template-columns: 1fr 1fr;

        .horizontal-card {
          grid-template-columns: 1fr 1fr;

          &:not(:has(.card-image)) {
            grid-template-columns: 1fr;
          }
        }
      }

      .js-slick-cards-container {
        grid-template-columns: 1fr 1fr;
      }
    }

    &.size-md {
      .cards {
        grid-template-columns: 1fr 1fr;

        .horizontal-card {
          grid-template-columns: minmax(0, 2fr) minmax(200px, 1fr);

          &:not(:has(.card-image)) {
            grid-template-columns: 1fr;
          }

          .card-image {
            order: 2;
          }

          .card-body {
            order: 1;

            h5 {
              font-size: 32px;
              line-height: 38px;
            }
          }
        }
      }

      .js-slick-cards-container {
        grid-template-columns: 1fr 1fr;
      }
    }

    &.size-lg {
      .cards {
        grid-template-columns: 1fr;

        .horizontal-card {
          grid-template-columns: 1fr 1fr;

          &:not(:has(.card-image)) {
            grid-template-columns: 1fr;
          }

          .card-body {
            h5 {
              font-size: 32px;
              line-height: 38px;
            }
          }

          &:nth-child(odd) {
            .card-image {
              order: 2;
            }

            .card-body {
              order: 1;
            }
          }
        }
      }

      .js-slick-cards-container {
        grid-template-columns: 1fr;
      }
    }

    &.load-more {
      .load-more {
        margin-top: 48px;
      }
    }

    &.is-slider {
      padding-left: 96px;
      padding-right: 96px;

      .headings-container {
        padding-left: 0;
        padding-right: 0;
      }

      .cards {
        .js-slick-cards-container {
          display: grid;
          gap: 24px;
          padding-left: 24px;
          padding-right: 24px;
        }
      }

      .slick-track {
        position: relative;
      }

      .horizontal-cards-slide-controls {
        margin-top: 0;
        gap: initial;
        justify-content: space-between;
        position: absolute;
        left: -42px;
        right: -42px;
        top: 50%;
        transform: translateY(-50%);
      }
    }
  }
}
